/*
 * This file is part of Rahmenwerk.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.tkabasis.assistenten;


/**
 * Model class containing the data for the holiday wizard
 */
public class InfoKonfigAenderungModell2
{
  public static final String copyright = "(c) Copyright IBM Corporation 2002.";

  // date of departure as a String day, month, year
  protected long _stand = 0L;

  // flight details for the holiday by plane
  protected String _pid = "";
 
  // flight details for the holiday by plane
  protected String _name = "";
  
  // flight details for the holiday by plane
  protected String _autor = "";

//  // holiday destination
//  protected String _version = "";

  // true if the flisgts need to be reset
  protected String _grund = "";

  // true if the flisgts need to be reset
  protected String _text = "";

  protected String _info  = "";

  protected String _beschreibung = "";


  public String toString()
  {
    String s;
    s = "KB neu erstellen: \n";

    s = s + "\nstand: " + _stand + 
      "\nautor: " + _autor + 
      "\ngrund: " + _grund + 
      "\ntext: " + _text + 
      "\ninfo: " + _info + 
      "\nbeschreibung: " + _beschreibung;

    return s;
  }
  
  public String getPid()
  {
    return _pid;
  }

  public String getName()
  {
    return _name;
  }
 
  
  public void setPid(String pid)
  {
    _pid = pid;
  }

  public void setName(String name)
  {
    _name = name;
  }

  public void setInfo(String info)
  {
    _info = info;
  }

  public void setBeschreibung(String beschreibung)
  {
    _beschreibung = beschreibung;
  }
  
  public long getStand()
  {
    return _stand;
  }


  public String getAutor()
  {
    return _autor;
  }


//  public String getVersion()
//  {
//    return _version;
//  }


  public String getText()
  {
    return _text;
  }

  public String getGrund()
  {
    // TODO Auto-generated method stub
    return _grund;
  }
  
  public String getInfo()
  {
    return _info;
  }

  public String getBeschreibung()
  {
    return _beschreibung;
  }

}
