/*
 * This file is part of Rahmenwerk.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.tkabasis;

import org.eclipse.ui.IStartup;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;

import de.bsvrz.buv.rw.rw.menu.ElementRegistrierung;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * {@link IStartup} Implementierung, registriert alle Actions dieses Moduls zwecks Men- und Symbolleistenaufbau bzw.
 * deren Verwaltung.
 * 
 * @version $Revision: 1.10 $ / $Date: 2011/01/17 10:53:45 $ / ($Author: Sans $)
 * 
 * @author HofmannJ
 * 
 */
public class Starter implements IStartup
{
  /**
   * Der Debugger
   */
  private Debug _debug = Debug.getLogger();

  /**
   * Der Zaehler fr die Views
   */
  private int _numViewInstances = 0;

  /**
   * In dieser Methode werden die vom Modul Betriebsmeldungsverwaltung bereitgestellten Actions generiert und in der
   * Klasse {@link ElementRegistrierung} ber deren Methode
   * {@link ElementRegistrierung#registriereDeskriptorAktion(de.bsvrz.buv.rw.rw.menu.deskriptoren.DeskriptorAktion)}
   * registriert.
   */
  public void earlyStartup()
  {
 
  }

  private void starteView(IWorkbenchPage page) throws PartInitException
  {
    IWorkbenchWindow dw = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
    // IWorkbenchPage page = dw.getActivePage();
    // page.showView(ZufahrtsregelungAuswahlView.ID);
    // IViewReference ref = page.findViewReference(ZufahrtsregelungAuswahlView.ID, );
    //    
    // ((WorkbenchPage)page).getActivePerspective().getPresentation().detachPart(ref);
    // IWorkbenchPart viewPart = ref.getPart(false);
    // Shell shell = viewPart.getSite().getShell();
    // shell.setSize(420, 240);

  }

  private void starteViewParameter(IWorkbenchPage page) throws PartInitException
  {
    // TODO Auto-generated method stub
    // page.showView(ZufahrtsregelungAuswahlViewParameter.ID);
    // IViewReference ref = page.findViewReference(ZufahrtsregelungAuswahlViewParameter.ID);
    //        
    // ((WorkbenchPage)page).getActivePerspective().getPresentation().detachPart(ref);
    // IWorkbenchPart viewPart = ref.getPart(false);
    // Shell shell = viewPart.getSite().getShell();
    // shell.setSize(650, 400);
  }

//  private void start()
//  {
//    PlatformUI.getWorkbench().getDisplay().asyncExec(new Runnable() {
//      public void run()
//      {
//        IWorkbenchWindow dwindow = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
//        IWorkbenchPage page = dwindow.getActivePage();
//        if (page != null)
//        {
////          try
//          {
////            setzteTKABasisViewTka(page);
//          }
////          catch (PartInitException pie)
////          {
////
////          }
//        }
//      }
//    });
//
//  }



}
